List Collection Files
Retrieve a list of files within a vector store collections.
Path parameters
-
id string required
The ID of the vector store collection.
Responses
OK
application/json · list-vector-store-files-response-payload
Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope.
application/json · error-payload
The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>.
application/json · error-payload
curl https://api.vultrinference.com/v1/vector_store/{id}/files \
-H "Authorization: Bearer $VULTR_INFERENCE_API_KEY"import os
import requests
response = requests.get(
"https://api.vultrinference.com/v1/vector_store/{id}/files",
headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
)
print(response.json())const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}/files", {
headers: {
Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
},
});
console.log(await response.json());Response · 200
{
"files": [
{
"id": "string",
"filename": "string",
"status": "enqueued",
"error": "string",
"items": 0,
"tokens": 0
}
]
}